| 0.9.7

- Main Page
- Modules
- Files

Functions
GLM_GTX_log_base
GTX Extensions (Experimental)

## Functions
template<typename genType >
GLM_FUNC_DECL genType | log (genType x, genType base)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | sign (vecType< T, P > const &x, vecType< T, P > const &base)

## Detailed Description

Logarithm for any base.

base can be a vector or a scalar.

<glm/gtx/log_base.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::log | ( | genType | x,
|  | genType | base
| ) |  |

Logarithm for any base.

From GLM_GTX_log_base.

GLM_FUNC_DECL vecType<T, P> glm::sign | ( | vecType< T, P > const & | x,
|  | vecType< T, P > const & | base
| ) |  |

Logarithm for any base.

From GLM_GTX_log_base.